> ## Documentation Index
> Fetch the complete documentation index at: https://docs.platform.arb.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload a PDF template

> Uploads a PDF file as a template for a given document.



## OpenAPI

````yaml api-reference/pdfs.yaml post /templates/upload
openapi: 3.0.3
info:
  title: pdfs
  description: >-
    The PDFs service takes a stored PDF template and fills in placeholder fields
    with the values you give it. It then sends back the completed PDF for you to
    save, email, or use however you want.
  version: 1.0.0
servers:
  - url: https://pdfs.platform.arb.inc
security: []
tags:
  - name: /
  - name: markdown
  - name: pleadings
  - name: templates
paths:
  /templates/upload:
    post:
      tags:
        - templates
      summary: Upload a PDF template
      description: Uploads a PDF file as a template for a given document.
      operationId: uploadTemplate
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              type: object
              required:
                - documentID
                - file
              properties:
                documentID:
                  type: string
                  description: The ID of the document to attach the template to.
                  example: statementOfClaim
                file:
                  type: string
                  format: binary
                  description: >
                    The PDF file to upload (field name **file**). Must be ≤ 25
                    MiB.
                  example: template.pdf
      responses:
        '200':
          description: Template successfully uploaded.
          content:
            text/plain:
              schema:
                type: string
                example: successfully uploaded template
        '404':
          description: The target document was not found.
          content:
            text/plain:
              schema:
                type: string
                example: document not found
        '410':
          description: The provided fields are invalid for this document.
          content:
            text/plain:
              schema:
                type: string
                example: >-
                  invalid fields: Missing fields: systemFiledTime. Unrecognized
                  fields: filedTime.
        '413':
          description: The uploaded file is too large.
          content:
            text/plain:
              schema:
                type: string
                example: 'file too large: max 25 MiB'
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      description: access token
      scheme: bearer
      bearerFormat: JWT

````